AOZ Studio Beta - Bug #117

Sam Stop - lowers volume, but doesn't stop
02/04/2020 07:50 PM - Paul Kitching

Status: Closed Start date: 02/04/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.9.4

Description

#manifest: "pc"
#displayWidth:1920
#displayHeight:1080
#fullScreen:true
#bootScreen:false

screen open 0,1920,1080,32, lowres
print "key..."

wait key

sam play 1

print "playing"

wait key

sam stop 1

print "stopped"

wait key

It isn't giving an Internal Error like the last version, but it's not stopping, just reducing the volume.

I've tried it with an MP3 and a WAV.

History

#1 - 03/24/2020 02:52 PM - Paul Kitching
- Affected version changed from 0.9.4 to 0.9.7

The above example now needs the bootScreen tag changing to this line:
#splashScreen:false

It still doesn't stop the sample. I'm testing with a wav file.

#2 - 05/09/2020 10:03 AM - Paul Kitching
- Affected version changed from 0.9.7 to 0.9.9

It would work using Load Asset in 0.9.8, but still not just by playing samples from the 'samples' directory. Now in 0.9.9 it isn't stopping either way.

#3 - 08/04/2020 02:13 PM - Paul Kitching
- Affected version changed from 0.9.9 to 0.9.9.4

#4 - 11/17/2020 08:24 PM - Paul Kitching

- Status changed from New to Closed

This works now.

#5 - 06/25/2021 10:42 AM - malcolm harvey

This has broken again in Beta 1.0.0 V8, Sam stop x has no effect.
